Nios® II Embedded Design Suite (EDS)
Support for Embedded Development Tools, Processors (SoCs and Nios® II processor), Embedded Development Suites (EDSs), Boot and Configuration, Operating Systems, C and C++
Announcements
Intel Support hours are Monday-Fridays, 8am-5pm PST, except Holidays. Thanks to our community members who provide support during our down time or before we get to your questions. We appreciate you!

Need Forum Guidance? Click here
Search our FPGA Knowledge Articles here.

Can't run DS-5 in 13.1

Altera_Forum
Honored Contributor II
813 Views

 

I'm trying to upgrade to 13.1 of the EDS tools on a Win7 box.  

 

This may have been caused by a Windows Update but I don't know. After installing the EDS the DS-5 installer started and on the second or third wizard page, a message popped up saying there was a Windows Update pending and it strongly recommended that I reboot before continuing. I rebooted, then ran the DS-5 install from the embedded/ds-5 directory and everything seemed fine. Then I open the Embedded Command Shell as usual, but when I type eclipse to launch DS-5, said DS-5 couldn't be found. At this point I probably could have played with the environment variables a bit and got it working, but instead I uninstalled everything and started over. Now when I try launching DS-5 it throws an error which points me to the error log file. The log file contains the message below. 

 

 

!SESSION Fri Apr 04 13:35:50 MDT 2014 ------------------------------------------ 

!ENTRY org.eclipse.equinox.launcher 4 0 2014-04-04 13:35:50.283 

!MESSAGE Could not find extension: reference:file:org.eclipse.osgi.nl_ja_3.7.0.v20110723043401.jar 

!ENTRY org.eclipse.equinox.launcher 4 0 2014-04-04 13:35:50.285 

!MESSAGE Could not find extension: reference:file:org.eclipse.osgi.services.nl_ja_3.7.0.v20110723043401.jar 

!ENTRY org.eclipse.equinox.launcher 4 0 2014-04-04 13:35:50.285 

!MESSAGE Could not find extension: reference:file:org.eclipse.osgi.util.nl_ja_3.7.0.v20110723043401.jar 

!ENTRY org.eclipse.equinox.launcher 4 0 2014-04-04 13:35:50.321 

!MESSAGE Exception launching the Eclipse Platform: 

!STACK 

java.lang.ClassNotFoundException: org.eclipse.core.runtime.adaptor.EclipseStarter 

at java.net.URLClassLoader$1.run(URLClassLoader.java:202) 

at java.security.AccessController.doPrivileged(Native Method) 

at java.net.URLClassLoader.findClass(URLClassLoader.java:190) 

at java.lang.ClassLoader.loadClass(ClassLoader.java:306) 

at java.lang.ClassLoader.loadClass(ClassLoader.java:247) 

at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:619) 

at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577) 

at org.eclipse.equinox.launcher.Main.run(Main.java:1410) 

at com.arm.workbench.Hook.run(Hook.java:463) 

 

I've tried uninstalling, rebooting my PC and re-installing, but still get this error. It looks like I'm missing some jar files, but the files are there. Comparing systems to a co-worker who got 13.1 working, we can see that the files are in the right place as well.  

 

I think there must be a residual file hanging around somewhere that's confusing things, but I don't know where to look. 

 

Any ideas? 

 

 

 

0 Kudos
1 Reply
Altera_Forum
Honored Contributor II
113 Views

Solved... 

I uninstalled everything again and noticed that <my home directory>/AppData/Roaming/ARM/DS-5/env.ini was left in place. I deleted the entire ARM directory and reinstalled and everything worked this time.
Reply